package com.springinteg.aggregator;

import java.util.List;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.integration.channel.QueueChannel;
import org.springframework.messaging.Message;
import org.springframework.messaging.support.GenericMessage;

import com.springinteg.aggregator.gateway.OrderGateway;
import com.springinteg.aggregator.model.Order;

public class AppMain {

	public static void main(String[] args){
		
		@SuppressWarnings("resource")
		ApplicationContext ctx = new ClassPathXmlApplicationContext("spring-integ-context.xml");
		//Test aggregation of Messages with payload as Payment object
		
		OrderGateway paygate = ctx.getBean("ordergatewaybean",OrderGateway.class);
		Order p1 = new Order("SINGLE",11);
		Order p2 = new Order("RECURRING",25);
		Order p3 = new Order("SINGLE",32);
		Order p4 = new Order("RECURRING",15);
		
		Message<Order> mp1 = new GenericMessage<Order>(p1);
		paygate.process(mp1);
		
		
//		//Message<Order> mp2 = new GenericMessage<Order>(p2);
//		Message<Order> mp3 = new GenericMessage<Order>(p3);
//		Message<Order> mp4 = new GenericMessage<Order>(p4);
//		
//		paygate.process(mp2);
//		paygate.process(mp3);
//		paygate.process(mp4);
	}
	
}
